config/routes.rb
Rails.application.routes.draw do
  devise_for :usuarios
  root to: 'painel#index'

  resources :alunos
  resources :livros
  resources :materias
  resources :cursos
  resources :semestres
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/views/layouts/_menu.html.erb
<nav class="navbar navbar-expand navbar-dark bg-dark">
  <a href="<%= root_path %>" class="navbar-brand">
    Biblioteca
    <i class="fas fa-book-reader" aria-hidden="true"></i>
  </a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNavDropdown">
    <ul class="navbar-nav">
      <li class="nav-item <%= current_class?(root_path) %>">
        <%= link_to 'Home', root_path, class: "nav-link" %>
      </li>
      <% if usuario_signed_in? %>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Cadastros
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <%= link_to 'Alunos', alunos_path, class: "dropdown-item #{current_class?(alunos_path)}" %>
            <%= link_to 'Cursos', cursos_path, class: "dropdown-item #{current_class?(cursos_path)}" %>
            <%= link_to 'Matérias', materias_path, class: "dropdown-item #{current_class?(materias_path)}" %>
            <%= link_to 'Livros', livros_path, class: "dropdown-item #{current_class?(livros_path)}" %>
            <%= link_to 'Semestres', semestres_path, class: "dropdown-item #{current_class?(semestres_path)}" %>
          </div>

        </li>
        <li class="nav-item active">
          <%= link_to "#{current_usuario.email}", nil, class: "nav-link" %>
        </li>
        <li class="nav-item <%= current_class?(destroy_usuario_session_path) %>">
          <%= link_to 'Sair', destroy_usuario_session_path, method: :delete, class: "nav-link" %>
        </li>
      <% else %>
        <li class="nav-item <%= current_class?(new_usuario_session_path) %>">
          <%= link_to 'Entrar', new_usuario_session_path, class: "nav-link" %>
        </li>
      <% end %>
    </ul>
  </div>
</nav>

app/views/layouts/_navbar-painel.html.erb
<div class="row">
  <div class="col-4">
    <div class="card mb-3">
      <div class="card-body">
        <h4 class="card-title">Alunos
          <i class="fas fa-user-graduate"></i>
        </h4>
        <p class="card-text">Lista de alunos cadastrados.</p>
        <a href="<%= alunos_path %>" class="btn btn-outline-primary">Visualizar
          <i class="fas fa-search"></i>
        </a>
      </div>
    </div>
  </div>
  <div class="col-4">
    <div class="card mb-3">
      <div class="card-body">
        <h4 class="card-title">Cursos
          <i class="fab fa-discourse"></i>
        </h4>
        <p class="card-text">Lista de cursos cadastrados.</p>
        <a href="<%= cursos_path %>" class="btn btn-outline-primary">Visualizar
          <i class="fas fa-search"></i>
        </a>
      </div>
    </div>
  </div>
  <div class="col-4">
    <div class="card mb-3">
      <div class="card-body">
        <h4 class="card-title">Matérias
          <i class="fab fa-creative-commons-nd"></i>
        </h4>
        <p class="card-text">Lista de matérias cadastrados.</p>
        <a href="<%= materias_path %>" class="btn btn-outline-primary">Visualizar
          <i class="fas fa-search"></i>
        </a>
      </div>
    </div>
  </div>
  <div class="w-100"></div>
  <div class="col-4">
    <div class="card mb-3">
      <div class="card-body">
        <h4 class="card-title">Livros
          <i class="fas fa-book"></i>
        </h4>
        <p class="card-text">Lista de livros cadastrados.</p>
        <a href="<%= livros_path %>" class="btn btn-outline-primary">Visualizar
          <i class="fas fa-search"></i>
        </a>
      </div>
    </div>
  </div>
  <div class="col-4">
    <div class="card mb-3">
      <div class="card-body">
        <h4 class="card-title">Semestres
          <i class="fas fa-hourglass-half"></i>
        </h4>
        <p class="card-text">Lista de livros cadastrados.</p>
        <a href="<%= semestres_path %>" class="btn btn-outline-primary">
          Visualizar
          <i class="fas fa-search"></i>
        </a>
      </div>
    </div>
  </div>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Bibioteca -
      <%= content_for?(:title) ? yield(:title) : "Home" %></title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= render partial: 'layouts/menu' %>
    <div class="container pt-3">
      <%= flash_messages %>
      <%= yield %>
    </div>

    <footer class="footer">
      <div class="container">
        <span class="text-muted">Biblioteca Digital. &copy;2018</span>
      </div>
    </footer>
  </body>
</html>